use std::marker::PhantomData;

use super::Entity;

pub struct EntityDiff<E: Entity> {
    /// One flag per column: `true` = diff, `false` = same.
    pub flags: Vec<bool>, // Ideally a fixed array: [bool; E::COLUMN_NAMES.len()]
    _phantom: PhantomData<E>,
}

impl<E: Entity> EntityDiff<E> {
    pub fn new(flags: Vec<bool>) -> Self {
        return Self {
            flags,
            _phantom: PhantomData,
        };
    }
}
